function [] = buttonCopyOffsets(~, ~)
%UNTITLED Summary of this function goes here
%   Detailed explanation goes here

global artoaWorkspace artoaGui;

%% Save Applied state
artoa.controller.edit.offsets.saveAppliedState();

%% Get selected index
index = artoaGui.editOffsets.comboboxOffsetToApplied.Value;

%% Copy selected offset columns to Applied columns
appliedOffsetColumn = 'AppliedOffset';
appliedDriftColumn = 'AppliedDrift';

switch artoaGui.editOffsets.comboboxOffsetToApplied.String{index}
    case 'Measured'
        offsetIndicesToCopy = true(size(artoaWorkspace.editOffsets.offsets{:, appliedOffsetColumn}));
        driftIndicesToCopy = true(size(artoaWorkspace.editOffsets.offsets{:, appliedDriftColumn}));
        offsetColumn = 'OffsetStart';
        driftColumn = 'Drift';
    case 'Empirical'
        offsetIndicesToCopy = true(size(artoaWorkspace.editOffsets.offsets{:, appliedOffsetColumn}));
        driftIndicesToCopy = true(size(artoaWorkspace.editOffsets.offsets{:, appliedDriftColumn}));
        offsetColumn = 'EmpiricalOffset';
        driftColumn = 'EmpiricalDrift';
    case 'Optimum'
        offsetIndicesToCopy = isnan(artoaWorkspace.editOffsets.offsets{:, appliedOffsetColumn});
        driftIndicesToCopy = isnan(artoaWorkspace.editOffsets.offsets{:, appliedDriftColumn});
        offsetColumn = 'OptimumTotalOffset';
        driftColumn = 'OptimumTotalDrift';
end

artoaWorkspace.editOffsets.offsets{offsetIndicesToCopy, appliedOffsetColumn} = ...
    artoaWorkspace.editOffsets.offsets{offsetIndicesToCopy, offsetColumn};
artoaWorkspace.editOffsets.offsets{driftIndicesToCopy, appliedDriftColumn} = ...
    artoaWorkspace.editOffsets.offsets{driftIndicesToCopy, driftColumn};

%% Update GUI
artoa.controller.edit.offsets.updateGui();

%% Recalculate
artoa.controller.edit.recalculateToaGpsAndPlot();

end

