function [results] = calculateDifference()
%CALCULATE Summary of this function goes here
%   Detailed explanation goes here

global artoaWorkspace artoaConfig artoaDataInput;

%% Calculate SATFIX ETA
[satfixEtas] = artoa.satdata.calculateSatfixEta( ...
    artoaDataInput.rfb, ...
    artoaWorkspace.filteredSoundsources, ...
    artoaWorkspace.editOffsets.offsets, ...
    artoa.controller.selectSoundspeed(), ...
    artoaConfig.leapseconds);

%% Calculate difference
fnames = fieldnames(artoaWorkspace.filteredSoundsources);

results = struct();
for i = 1:length(fnames)
    if ~artoa.soundsources.hasAppliedToa(fnames{i}, artoaWorkspace.toaData.soundSource)
        continue;
    end
    results.(fnames{i}) = struct();
    results.(fnames{i}).difference = [];
    selection = strcmp(artoaWorkspace.toaData.soundSource, fnames(i));
    toas = artoaWorkspace.toaData.toa(selection);
    toaDates = ceil(artoaWorkspace.toaData.toaDate(selection));
    if length(toaDates) > 1

        % interpolate
        toas = interp1(toaDates, toas, min(toaDates):1:max(toaDates))';
        toaDates = [min(toaDates):1:max(toaDates)]';
    end
    dates = intersect(toaDates, satfixEtas.(fnames{i}).satDate);
    indicesToa = ismember(toaDates, dates);
    indicesSatfix = ismember(satfixEtas.(fnames{i}).satDate, dates);
    if all(isnan(dates)) | isempty(dates)
        continue;
    end
    results.(fnames{i}).difference = toas(indicesToa) - satfixEtas.(fnames{i}).satToa(indicesSatfix);
    results.(fnames{i}).date = dates;
end


end

