function [] = plot()
%PLOT Summary of this function goes here
%   Detailed explanation goes here

global artoaGui artoaWorkspace;

%% Calculate required variables
[results] = artoa.controller.show.satfixEtaToToa.calculateDifference();

%% Create plot

figureName = artoaGui.figures.satfixEtaToToa;

clf(figureName);

axes(figureName);
hold(figureName.CurrentAxes, 'on');
grid(figureName.CurrentAxes, 'on');
fnames = fieldnames(artoaWorkspace.filteredSoundsources);
legendNames = {};
for i = 1:length(fnames)
    if ~artoa.soundsources.hasAppliedToa(fnames{i}, artoaWorkspace.toaData.soundSource) | isempty(results.(fnames{i}).difference)
        continue;
    end
    color = artoa.soundsources.colorregister.getColor( ...
        fnames{i}, ...
        artoaWorkspace.soundsourceColorRegister, ...
        artoaWorkspace.soundsourceColors ...
        );
    legendNames{end + 1} = fnames{i};
    scatter( ...
        figureName.CurrentAxes, ...
        results.(fnames{i}).date, ...
        results.(fnames{i}).difference, ...
        [], ...
        color, ...
        'filled' ...
        );
end
legend(figureName.CurrentAxes, legendNames);
title(figureName.CurrentAxes, 'Difference SATFIX-ETA - TOA');
xlabel(figureName.CurrentAxes, 'Rafos date');
ylabel(figureName.CurrentAxes, 'Difference [s]')
hold(figureName.CurrentAxes, 'off');

end

