function [ gps_data ] = get_gps( p_profile )
%GET_GPS Returns gps data block of the given profile.
%
%   Returns: Double of size 1x15 if gps coordinates are available.
%            Displays a warning if parameters are wrong, but returns false!
%
%   Parameters:
%   p_profile:          The nemo profile where gps data is being extracted.

%% Initializing return variables
gps_data = false;

%% Parameter check

if (~isstruct(p_profile))
    disp([mfilename ': Wrong parameter. Please check your input. Returning false!']);
    return
end

%% Check if GPS section is available
if (~isfield(p_profile, 'SURFACE_GPS_DATA'))
    gps_data = false;
    return
else
    % store all values
    gps_data = p_profile.SURFACE_GPS_DATA;
end

return;

end

